Function
findEdge
Finds an edge.
findEdge(g, v, c)
findEdge(g, v, w)
Include Headers
seqan/graph_types.h
Parameters

g | A graph. Types: Graph
v | A vertex descriptor. Types: VertexDescriptor
c | An edge label. Types: Alphabet
w | A vertex descriptor. Types: VertexDescriptor

Remarks
In an automaton an edge is uniquely defined by a vertex and a label. In all other graphs two adjacent vertices uniquely define an edge. If there are multiple edges between two vertices the behaviour is undefined.
Return Values
An edge descriptor or 0 if edge is not present. Note: In automatons there is always a valid edge descriptor but the target may be nil.
Types: EdgeDescriptor
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47